> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop all running Spark jobs



## OpenAPI

````yaml /api-reference/4.2/service-spark.json delete /spark/jobs
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service spark
servers:
  - url: /api/apollo/
security: []
tags:
  - name: spark
paths:
  /spark/jobs:
    delete:
      tags:
        - 4.2 Spark API
      summary: Stop all running Spark jobs
      operationId: stopAllJobs
      parameters:
        - name: type
          in: query
          description: Filter to stop jobs of a specific type, such as aggregations
          required: false
          schema:
            type: string
      responses:
        default:
          description: successful operation

````